<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">

		function inicio(){
			let celdas=[];
			/* quiero acceder a los td */
			/* querySelector cuando queremos acceder a un elemento concreto */
			/* querySelectorAll cuando queremos acceder a un array*/

			celdas=document.querySelectorAll("td");
			celdas[0].innerHTML+=" lo que queramos";
			celdas[1].style.backgroundColor = "#CCC";
		}

		function cambia(posicion){
			let celdas=[];
			celdas=document.querySelectorAll("td");
			celdas[posicion].style.backgroundColor = 'RED';
			celdas[posicion].style.color = 'white';
		}
		

	</script>
</head>
<body onload="inicio()">
	<table>
		
		<tr>
			<td onclick="cambia(0)">1</td>
			<td onclick="cambia(1)">2</td>
			<td onclick="cambia(2)">3</td>
			<td onclick="cambia(3)">4</td>
			<td onclick="cambia(4)">5</td>
		</tr>

	</table>
</body>
</html>